source("start.R")
source("include-transform-data.R")

for (dataset.name in dataset.names) {
  transform.data(dataset.name)

  cat("Properties of the dataset \"", dataset.name, "\":\n", sep="")
  cat("Observations                               = ", get.observation.count(dataset.name), "\n")
  cat("Haplotypes (unique observations)           = ", get.haplotypes.count(dataset.name), "\n")
  cat("Singletons (haplotypes only observed once) = ", get.singletons.count(dataset.name), "\n")
  cat("Haplotype count table:\n")
  print(get.haplotype.count.table(dataset.name))
  cat("\n\n")
}

