#Not using data, so no idea in including start.R
#source("start.R")

source("include-unobserved.R")

#analyze.unobserved.mass(probs.type, Q = 1000, simulations = sims, N.start = 10, N.stop = 1000, N.by = 10)

prob.types <- 1:4
sims <- 10000

# BOX and QQ-plot: Observation over the entire range
if (F) {
  for (pt in prob.types) {
    analyze.unobserved.mass(pt, Q = 1000, simulations = sims, N.start = 100, N.stop = 1000, N.by = 100)
  }
}

# BOX and QQ-plot: Few observations
if (F) {
  for (pt in prob.types) {
    analyze.unobserved.mass(pt, Q = 10000, simulations = sims, N.start = 10, N.stop = 1000, N.by = 100)
  }
}

# COVERAGE: Observation over the entire range
if (T) {
  for (pt in prob.types) {
    check.confidence.interval(pt, alpha = 0.05, Q = 1000, simulations = sims, N.start = 100, N.stop = 1000, N.by = 100, plot.with.labels = T)
    #check.confidence.interval(pt, alpha = 0.05, Q = 1000, simulations = sims, N.start = 100, N.stop = 1000, N.by = 100, plot.with.labels = F)
  }
}

# COVERAGE: Few observations
if (T) {
  for (pt in prob.types) {
    check.confidence.interval(pt, alpha = 0.05, Q = 10000, simulations = sims, N.start = 10, N.stop = 1000, N.by = 100, plot.with.labels = T)
    #check.confidence.interval(pt, alpha = 0.05, Q = 10000, simulations = sims, N.start = 10, N.stop = 1000, N.by = 100, plot.with.labels = F)
  }
}

